# Class SimpleTypeVisitor9<R,P>

java.lang.Object
javax.lang.model.util.AbstractTypeVisitor6<R,P>
javax.lang.model.util.SimpleTypeVisitor6<R,P>
javax.lang.model.util.SimpleTypeVisitor7<R,P>
javax.lang.model.util.SimpleTypeVisitor8<R,P>
javax.lang.model.util.SimpleTypeVisitor9<R,P>

Type Parameters:
  `R` - the return type of this visitor's methods. Use `Void` for visitors that do not need to return results.
  `P` - the type of the additional parameter to this visitor's methods. Use `Void` for visitors that do not need an additional parameter.

All Implemented Interfaces:
  `TypeVisitor<R,P>`

Direct Known Subclasses:
  `SimpleTypeVisitor14`

@SupportedSourceVersion(RELEASE_14) public class SimpleTypeVisitor9<R,P> extends SimpleTypeVisitor8<R,P>
A simple visitor of types with default behavior appropriate for source versions `RELEASE_9` through `RELEASE_14`. Visit methods corresponding to `RELEASE_9` and earlier language constructs call `defaultAction`, passing their arguments to `defaultAction`'s corresponding parameters.

API Note:
  Methods in this class may be overridden subject to their general contract.
Since:
  9
See Also:
  - Compatibility note for subclasses
  - `SimpleTypeVisitor6`
  - `SimpleTypeVisitor7`
  - `SimpleTypeVisitor8`
  - `SimpleTypeVisitor14`

## Field Summary

### Fields declared in class SimpleTypeVisitor6

`DEFAULT_VALUE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`SimpleTypeVisitor9()`
Constructor for concrete subclasses; uses `null` for the default value.
`protected`
`SimpleTypeVisitor9(R defaultValue)`
Constructor for concrete subclasses; uses the argument for the default value.

## Method Summary

### Methods declared in class SimpleTypeVisitor8

`visitIntersection`

### Methods declared in class SimpleTypeVisitor7

`visitUnion`

### Methods declared in class SimpleTypeVisitor6

`defaultAction, visitArray, visitDeclared, visitError, visitExecutable, visitNoType, visitNull, visitPrimitive, visitTypeVariable, visitWildcard`

### Methods declared in class AbstractTypeVisitor6

`visit, visit, visitUnknown`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimpleTypeVisitor9

protected SimpleTypeVisitor9()
Constructor for concrete subclasses; uses `null` for the default value.

### SimpleTypeVisitor9

protected SimpleTypeVisitor9(R defaultValue)
Constructor for concrete subclasses; uses the argument for the default value.

Parameters:
  `defaultValue` - the value to assign to `SimpleTypeVisitor6.DEFAULT_VALUE`